package com.om.service;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.VciQueryPageDTO;
import com.om.entity.po.VciInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppSDKVO;
import com.om.entity.vo.UserVciVO;
import com.om.entity.vo.VciQueryPageVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-27
 */
public interface IVciInfoService extends IService<VciInfo> {

    Result addVci(VciInfo vciInfo);

    Result addList(List<VciInfo> vciInfos);

    Result deleteByNum(String vciNum);

    Result updateState(Integer id, Integer state);

    Result getList();

    Result<List<UserVciVO>> getUserList(Integer vciId);

    Result<VciQueryPageVO> getPageList(VciQueryPageDTO dto);

    Result<AppSDKVO> VciUpdate(AppBaseDTO dto);

    Result pushVCI(Integer id);
}
